#if !defined(TOKEN_HH)
#define TOKEN_HH

///////////////////////////////////////////////////////////////////////////
class Token {
///////////////////////////////////////////////////////////////////////////
  
public :
  static const int EOFF = 256;
  static const int DGT = 257;
  static const int NIL = 0;

  Token( void ) : pos_(NIL), lexeme_((char)NIL) { }
  Token( int pos, char lexeme ) : pos_(pos), lexeme_(lexeme) { }
  ~Token( void ) { }

  void setPartOfSpeech( int pos ) { pos_ = pos; }
  void setLexeme( char lexeme ) { lexeme_ = lexeme; }

  int getPartOfSpeech( void ) const { return pos_; }
  char getLexeme( void ) const { return lexeme_; }

private :
  int  pos_;
  char lexeme_;

}; // End of class Token

#endif
